function sendCECControl(mode, key) {
	doServerPost('/cec/key/' + mode + '/' + getCurrentInput(activeEditing) + '/', { Code: key });
}

function getCurrentInput(activeEditing) {
	return activeInputBay; // TODO!!!
}

$('#VMPowerBtn').on('click', function () {
	var state = activeDisplayPowerStatus ? 'off' : 'on';
	$('#VMPower').removeClass('fa-power-off').addClass('fa-circle-o-notch fa-spin');
	doServerCall('/CEC/' + state + '/' + activeEditing.Mode + '/' + activeEditing.Bay,
		function(cecResult) {
			setTimeout(function() { fetchActiveInputForOutput(activeEditing) }, 2000);
		});
});

$('#VMEnter').on('click', function () {
	sendCECControl('Input', '0x00');
});

$('#VMArrowUp').on('click', function () {
	sendCECControl('Input', '0x01');
});

$('#VMArrowDown').on('click', function () {
	sendCECControl('Input', '0x02');
});

$('#VMArrowLeft').on('click', function () {
	sendCECControl('Input', '0x03');
});

$('#VMArrowRight').on('click', function () {
	sendCECControl('Input', '0x04');
});

$('#VMReturn').on('click', function () {
	sendCECControl('Input', '0x0D');
});

$('#VMPlay').on('click', function () {
	sendCECControl('Input', '0x44');
});

$('#VMStop').on('click', function () {
	sendCECControl('Input', '0x45');
});

$('#VMPause').on('click', function () {
	sendCECControl('Input', '0x46');
});

$('#VMBackwards').on('click', function () {
	sendCECControl('Input', '0x48');
});

$('#VMForwards').on('click', function () {
	sendCECControl('Input', '0x49');
});

$('#VMChapterForward').on('click', function () {
	sendCECControl('Input', '0x4B');
});

$('#VMChapterBack').on('click', function () {
	sendCECControl('Input', '0x4C');
});

$('#VMRed').on('click', function() {
	sendCECControl('Input', '0x72');
});

$('#VMGreen').on('click', function() {
	sendCECControl('Input', '0x73');
});

$('#VMYellow').on('click', function() {
	sendCECControl('Input', '0x74');
});

$('#VMBlue').on('click', function() {
	sendCECControl('Input', '0x71');
});

$('#VMSourceDeviceList').on('change', function () {
	doServerCall('/Port/Set/' + $('#VMSourceDeviceList').val() + '/' + activeEditing.Bay,
		function() {
			setTimeout(function() { fetchActiveInputForOutput(activeEditing) }, 1500);
		});
});